> For the complete documentation index, see [llms.txt](https://docs.oidc-spa.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.oidc-spa.dev/docs/v8/resources.md).

# Resources

- [Migrating from Keycloak-js](https://docs.oidc-spa.dev/docs/v8/resources/migrating-from-keycloak-js.md)
- [Third‑party cookies and session restoration](https://docs.oidc-spa.dev/docs/v8/resources/third-party-cookies-and-session-restoration.md)
- [CSP Configuration](https://docs.oidc-spa.dev/docs/v8/resources/csp-configuration.md)
- [Why No Client Secret?](https://docs.oidc-spa.dev/docs/v8/resources/why-no-client-secret.md): Why Doesn't oidc-spa Require a Client Secret?
- [Token Exfiltration Defence](https://docs.oidc-spa.dev/docs/v8/resources/token-exfiltration-defence.md): How oidc-spa mitigates the risks of token exposure
- [Fixing Crypto.subtle is available only in secure contexts (HTTPS)](https://docs.oidc-spa.dev/docs/v8/resources/fixing-crypto.subtle-is-available-only-in-secure-contexts-https.md)
- [End of third-party cookies](https://docs.oidc-spa.dev/docs/v8/resources/end-of-third-party-cookies.md)
- [iframe related issues](https://docs.oidc-spa.dev/docs/v8/resources/iframe-related-issues.md)
- [JWT Of the Access Token](https://docs.oidc-spa.dev/docs/v8/resources/jwt-of-the-access-token.md): And why it's not supposed to be read on the client side.
- [Discord Server](https://docs.oidc-spa.dev/docs/v8/resources/discord-server.md)
- [Blocked Monkey Patching](https://docs.oidc-spa.dev/docs/v8/resources/blocked-monkey-patching.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oidc-spa.dev/docs/v8/resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
